<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Servicios{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
//insertar($idtiposervicio,$idmodulo,$nombre,$precio,$porcentaje,$descripcion,$codigo,$exento);
// Tabla: idservicio,idtiposervicio,idmodulo,codigo,nombre,precio,descripcion,porcentaje,condicion,exento
public function insertar($idtiposervicio,$idmodulo,$nombre,$precio,$preciod,$porcentaje,$descripcion,$codigo,$exento,$idimpuestoslr,$islr){
	$sql="INSERT INTO servicio (idtiposervicio,idmodulo,codigo,nombre,precio,preciod,descripcion,porcentaje,condicion,exento,idimpuestoslr,islr)
	 VALUES ('$idtiposervicio','$idmodulo','$codigo','$nombre','$precio','$preciod','$descripcion','$porcentaje','1','$exento','$idimpuestoslr','$islr')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function editar($idservicio,$idtiposervicio,$idmodulo,$nombre,$precio,$preciod,$porcentaje,$descripcion,$codigo,$exento,$idimpuestoslr,$islr){
	$sql="UPDATE servicio SET idtiposervicio='$idtiposervicio',idmodulo='$idmodulo',nombre='$nombre',
	precio='$precio',preciod='$preciod',porcentaje='$porcentaje',descripcion='$descripcion',codigo='$codigo',exento='$exento',idimpuestoslr='$idimpuestoslr',islr='$islr' 
	WHERE idservicio='$idservicio'";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function desactivar($idservicio){
	$sql="UPDATE servicio SET condicion='0' WHERE idservicio='$idservicio'";
	return ejecutarConsulta($sql);
}
public function activar($idservicio){
	$sql="UPDATE servicio SET condicion='1' WHERE idservicio='$idservicio'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idservicio){
	$sql="SELECT * FROM servicio WHERE idservicio='$idservicio'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros 
public function listar(){
	//echo "<script> alert('estoy en listar') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio, t.nombre as tiposervicion, s.idmodulo, m.nombre as modulo, s.codigo, s.nombre, s.precio, s.descripcion, s.porcentaje, s.condicion, s.exento FROM servicio s LEFT JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio LEFT JOIN modulo m ON s.idmodulo=m.idmodulo";
	return ejecutarConsulta($sql);
}

//listar las notas de credito -- Pendiente -- en esta caso son tipo 3 
public function listarnc(){
	//echo "<script> alert('estoy en listar') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio, t.nombre as tiposervicion, s.idmodulo, m.nombre as modulo, s.codigo, s.nombre, s.precio, s.descripcion, s.porcentaje, s.condicion, s.exento FROM servicio s LEFT JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio LEFT JOIN modulo m ON s.idmodulo=m.idmodulo WHERE t.nombre like '%NOTA DE CRE%'";
	return ejecutarConsulta($sql);
}


//listar las notas de credito -- Pendiente -- en esta caso son tipo 3 
public function listarncs(){
	//echo "<script> alert('estoy en listar') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio, t.nombre as tiposervicion, s.idmodulo, m.nombre as modulo, s.codigo, s.nombre, s.precio, s.descripcion, s.porcentaje, s.condicion, s.exento FROM servicio s LEFT JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio LEFT JOIN modulo m ON s.idmodulo=m.idmodulo WHERE s.idtiposervicio='3'";
	return ejecutarConsulta($sql);
}

//listar las notas de credito -- Pendiente -- en esta caso son tipo 3 
public function listarndb(){
	//echo "<script> alert('estoy en listar') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio, t.nombre as tiposervicion, s.idmodulo, m.nombre as modulo, s.codigo, s.nombre, s.precio, s.descripcion, s.porcentaje, s.condicion, s.exento FROM servicio s LEFT JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio LEFT JOIN modulo m ON s.idmodulo=m.idmodulo WHERE t.nombre like '%NOTA DE DEB%'";
	return ejecutarConsulta($sql);
}

//listar registros activos
public function listarActivos(){
	$sql="SELECT a.idservicio as idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,
	a.descripcion,a.condicion,a.exento FROM servicio a INNER JOIN categoria c ON a.idcategoria=c.idcategoria 
	WHERE a.condicion='1' AND a.tipo='S'";
	return ejecutarConsulta($sql);
}

//implementar un metodo para listar los activos, su ultimo precio y el stock(vamos a unir con el ultimo registro de la tabla detalle_ingreso)
public function listarActivosServicios(){
	//echo "<script> alert('estoy en listarServicios') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.preciod, s.porcentaje, s.descripcion,s.condicion,s.exento FROM servicio s INNER JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio WHERE s.condicion='1' AND s.idmodulo='1' AND t.nombre NOT LIKE 'NOTA%' AND t.nombre NOT LIKE 'FISIO%'";
	return ejecutarConsulta($sql);
}

public function listarActivosServiciosVenta(){
	//echo "<script> alert('estoy en listarServicios') </script>";
	//$sql="SELECT s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento FROM servicio s INNER JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio WHERE s.condicion='1' AND s.idmodulo='1'";
	$sql="SELECT s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.preciod, s.porcentaje, s.descripcion,s.condicion,s.exento FROM servicio s INNER JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio WHERE s.condicion='1' AND s.idmodulo='1' AND t.nombre NOT LIKE 'NOTA%' AND t.nombre NOT LIKE 'FISIO%'";
	return ejecutarConsulta($sql);
}

public function listarActivosServiciosCompra(){
	//echo "<script> alert('estoy en listarServicios') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.preciod,s.porcentaje, s.descripcion,s.condicion,s.exento FROM servicio s INNER JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio WHERE s.condicion='1' AND s.idmodulo='2'";
	return ejecutarConsulta($sql);
}



public function listarServiciosVentaFisioterapia(){
	//echo "<script> alert('estoy en listarServicios') </script>";
	$sql="SELECT s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.preciod, s.porcentaje, s.descripcion,s.condicion,s.exento FROM servicio s INNER JOIN tiposervicio t ON s.idtiposervicio=t.idtiposervicio WHERE s.condicion='1' AND s.idmodulo='1' AND t.nombre NOT LIKE 'FISIO%'";
	return ejecutarConsulta($sql);
}

public function selectf(){
	$sql="SELECT *, s.nombre as sesion FROM servicio s INNER JOIN tiposervicio t ON t.idtiposervicio=s.idtiposervicio WHERE s.nombre not like '%NOT SHO%' AND t.nombre like 'FISIOTERAPIA'";
	return ejecutarConsulta($sql);
}

/* public function listarActivosServiciosCompra(){
	//echo "<script> alert('estoy en listarServicios') </script>";
	$sql="SELECT a.idservicio as idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,
	a.descripcion,a.condicion,a.exento, d.nombre as nmodulo FROM 
    servicio a INNER JOIN categoria c ON a.idcategoria=c.idcategoria
    INNER JOIN modulo d ON a.idmodulo=d.idmodulo
	WHERE a.condicion='1' AND a.tipo='S' AND d.nombre='COMPRA'";
	return ejecutarConsulta($sql);
} */

public function buscarServicio($idservicio){
	$sql="SELECT * FROM servicio WHERE idservicio='$idservicio'";
	return ejecutarConsultaSimpleFila($sql);
}

}
?>
